import { WebPlugin } from '@capacitor/core';
import { Credential, Failure, SecureCredentialsError, SecureCredentialsPlugin, SecurityLevel, Success, CredentialOptions } from './definitions';
export declare class SecureCredentialsWeb extends WebPlugin implements SecureCredentialsPlugin {
    getCredential(options: {
        service: string;
        username: string;
    }): Promise<Success<Credential> | Failure<SecureCredentialsError>>;
    getUsernames(options: {
        service: string;
    }): Promise<Success<string[]> | Failure<SecureCredentialsError>>;
    removeCredential(options: {
        service: string;
        username: string;
    }): Promise<Success<boolean> | Failure<SecureCredentialsError>>;
    removeCredentials(options: {
        service: string;
    }): Promise<Success<boolean> | Failure<SecureCredentialsError>>;
    setCredential(options: {
        service: string;
        credential: Credential;
        options?: CredentialOptions;
    }): Promise<Success<boolean> | Failure<SecureCredentialsError>>;
    canUseSecurityLevel(options: {
        securityLevel: SecurityLevel;
    }): Promise<Success<boolean> | Failure<SecureCredentialsError>>;
    maximumAllowedSecurityLevel(): Promise<Success<SecurityLevel> | Failure<SecureCredentialsError>>;
}
