'use strict';

var core = require('@capacitor/core');

exports.SecurityLevel = void 0;
(function (SecurityLevel) {
    SecurityLevel["L1_Encrypted"] = "L1_Encrypted";
    SecurityLevel["L2_DeviceUnlocked"] = "L2_DeviceUnlocked";
    SecurityLevel["L3_UserPresence"] = "L3_UserPresence";
    SecurityLevel["L4_Biometrics"] = "L4_Biometrics";
})(exports.SecurityLevel || (exports.SecurityLevel = {}));

const SecureCredentials = core.registerPlugin('SecureCredentials', {
    web: () => Promise.resolve().then(function () { return web; }).then(m => new m.SecureCredentialsWeb()),
});

class SecureCredentialsWeb extends core.WebPlugin {
    async getCredential(options) {
        return setTimeout(() => console.log('WEB -> getCredential', options), 1000);
    }
    async getUsernames(options) {
        return setTimeout(() => console.log('WEB -> getUsernames', options), 1000);
    }
    async removeCredential(options) {
        return setTimeout(() => console.log('WEB -> removeCredential', options), 1000);
    }
    async removeCredentials(options) {
        return setTimeout(() => console.log('WEB -> removeCredentials', options), 1000);
    }
    async setCredential(options) {
        return setTimeout(() => console.log('WEB -> setCredential', options), 1000);
    }
    async canUseSecurityLevel(options) {
        return setTimeout(() => console.log('WEB -> canUseProtection', options), 1000);
    }
    async maximumAllowedSecurityLevel() {
        return setTimeout(() => console.log('WEB -> maximumAllowedSecurityLevel?'), 1000);
    }
}

var web = /*#__PURE__*/Object.freeze({
    __proto__: null,
    SecureCredentialsWeb: SecureCredentialsWeb
});

exports.SecureCredentials = SecureCredentials;
//# sourceMappingURL=plugin.cjs.js.map
